create table `person`  (
    `id` int unsigned not null auto_increment,
    username varchar(32),
    first_name varchar(32) not null default '',
    last_name varchar(32) not null default '',
    organization varchar(32) not null default '',
    user_hash varchar(32) not null default '',
    password varchar(32) not null default '',
    street varchar(32) not null default '',
    zip varchar(12) not null default '',
    city varchar(32) not null default '',
    country varchar(32) not null default '',
    email varchar(50) not null default '',
    phone varchar(32) not null default '',
    eula_signed boolean not null default false,
    privacy_policy_signed boolean not null default false,
    author boolean not null default false,
    accepted_paper_id varchar(8) not null default '',
    participation_confirmed boolean not null default false,
    participation_confirmed_at varchar(32) not null default '',
    earlybird_registration boolean not null default false,
    student boolean not null default false,
    conference_dinner boolean not null default false,
    vegetarian_dinner boolean,
    lunch_day_1 varchar(32) not null default '',
    lunch_day_2 varchar(32) not null default '',
    lunch_day_3 varchar(32) not null default '',
    total_due decimal(10,2) not null default 0.00,
    registered_at timestamp default '0000-00-00 00:00:00', 
    updated_at timestamp default now() on update now(),
    invoice MEDIUMBLOB,
    invoice_reference varchar(32) not null default '',
    paid boolean not null default false,
    paid_when date,
  primary key (`id`)
) engine=innodb AUTO_INCREMENT=100;
